| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::AntiPortalFactory Class Reference

Factory object for creating AntiPortal instances. More...

`#include <OgreAntiPortal.h>`

Inheritance diagram for Ogre::AntiPortalFactory:
[legend]

## Public Member Functions
| AntiPortalFactory ()
| ~AntiPortalFactory ()
void | _notifyTypeFlags (uint32 flag)
| Notify this factory of the type mask to apply. More...
MovableObject * | createInstance (const String &name, SceneManager *manager, const NameValuePairList *params=0)
| Create a new instance of the object. More...
void | destroyInstance (MovableObject *obj)
| Destroy an instance of the object. More...
const String & | getType () const
| Get the type of the object to be created. More...
uint32 | getTypeFlags (void) const
| Gets the type flag for this factory. More...
bool | requestTypeFlags () const
| Return true here as we want to get a unique type flag. More...

## Static Public Attributes
static unsigned long | FACTORY_TYPE_FLAG
static String | FACTORY_TYPE_NAME

## Detailed Description

Factory object for creating AntiPortal instances.

## Constructor & Destructor Documentation

## ◆ AntiPortalFactory()

Ogre::AntiPortalFactory::AntiPortalFactory | ( |  | ) |
| inline

## ◆ ~AntiPortalFactory()

Ogre::AntiPortalFactory::~AntiPortalFactory | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getType()

const String& Ogre::AntiPortalFactory::getType | ( |  | ) | const
| inline virtual

Get the type of the object to be created.

Implements Ogre::MovableObjectFactory.

## ◆ destroyInstance()

void Ogre::AntiPortalFactory::destroyInstance | ( | MovableObject * | obj | ) |
| virtual

Destroy an instance of the object.

Implements Ogre::MovableObjectFactory.

## ◆ requestTypeFlags()

bool Ogre::AntiPortalFactory::requestTypeFlags | ( | void |  | ) | const
| inline virtual

Return true here as we want to get a unique type flag.

Reimplemented from Ogre::MovableObjectFactory.

## ◆ createInstance()

MovableObject* Ogre::MovableObjectFactory::createInstance | ( | const String & | name,
|  | SceneManager * | manager,
|  | const NameValuePairList * | params = `0`
| ) |  |
| inherited

Create a new instance of the object.

Parameters

  name | The name of the new object
  manager | The SceneManager instance that will be holding the instance once created.
  params | Name/value pair list of additional parameters required to construct the object (defined per subtype). Optional.

## ◆ _notifyTypeFlags()

void Ogre::MovableObjectFactory::_notifyTypeFlags | ( | uint32 | flag | ) |
| inline inherited

Notify this factory of the type mask to apply.

Remarks
  This should normally only be called by Root in response to a 'true' result from requestTypeMask. However, you can actually use it yourself if you're careful; for example to assign the same mask to a number of different types of object, should you always wish them to be treated the same in queries.

## ◆ getTypeFlags()

uint32 Ogre::MovableObjectFactory::getTypeFlags | ( | void |  | ) | const
| inline inherited

Gets the type flag for this factory.

Remarks
  A type flag is like a query flag, except that it applies to all instances of a certain type of object.

## Member Data Documentation

## ◆ FACTORY_TYPE_NAME

String Ogre::AntiPortalFactory::FACTORY_TYPE_NAME
| static

## ◆ FACTORY_TYPE_FLAG

unsigned long Ogre::AntiPortalFactory::FACTORY_TYPE_FLAG
| static

The documentation for this class was generated from the following file:

- OgreAntiPortal.h